sensorfw: OrientationSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
OrientationSensorChannel Class Reference

Sensor for accessing device orientation. More...

`#include <orientationsensor.h>`

Inheritance diagram for OrientationSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | orientationChanged (const int &orientation)
| Sent whenever orientation interpretation has changed.

## Public Member Functions
Unsigned | orientation () const
| Property method returning current orientation.

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for OrientationSensorChannel.

## Protected Member Functions
| OrientationSensorChannel (const QString &id)
virtual | ~OrientationSensorChannel ()

## Properties
Unsigned | orientation

## Detailed Description

Sensor for accessing device orientation.

Provides device orientation based on the direction of acceleration vector. Threshold value (mG) is used to control the sensitivity of change from one orientation into another. See OrientationInterpreter for details on threshold.

Definition at line 48 of file orientationsensor.h.

## Constructor & Destructor Documentation

## ◆ OrientationSensorChannel()

OrientationSensorChannel::OrientationSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~OrientationSensorChannel()

virtual OrientationSensorChannel::~OrientationSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ factoryMethod()

static AbstractSensorChannel * OrientationSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for OrientationSensorChannel.

Returns
  New OrientationSensorChannel as AbstractSensorChannel*

Definition at line 61 of file orientationsensor.h.

## ◆ orientation()

Unsigned OrientationSensorChannel::orientation | ( |  | ) | const
| inline

Property method returning current orientation.

Returns
  Current orientation.

Definition at line 73 of file orientationsensor.h.

## ◆ orientationChanged

void OrientationSensorChannel::orientationChanged | ( | const int & | orientation | ) |
| signal

Sent whenever orientation interpretation has changed.

Parameters

  orientation | New orientation.

## ◆ start

bool OrientationSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool OrientationSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ orientation

Unsigned OrientationSensorChannel::orientation
| read

Definition at line 53 of file orientationsensor.h.

The documentation for this class was generated from the following file:

- sensors/orientationsensor/orientationsensor.h